Data Exports And Tracing
Use the endpoints described below to manage data exports and tracing.
Gets OTel statistics
Operation path: GET /api/v2/otel/stats/
Authentication requirements: BearerAuth
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of results to skip. |
| limit |
query |
integer |
false |
At most this many results are returned. The default may change without notice. |
| serviceName |
query |
any |
false |
Service name, or list of service names, of the process. |
| userId |
query |
any |
false |
User IDs to view (must be admin to use this field). |
| startTime |
query |
string(date-time) |
false |
The start time of the trace |
| endTime |
query |
string(date-time) |
false |
The end time of the trace |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "OTel entity statistics.",
"items": {
"properties": {
"logCount": {
"description": "The number of logs used by this entity.",
"type": "integer"
},
"metricCount": {
"description": "The number of metrics used by this entity.",
"type": "integer"
},
"serviceName": {
"description": "Service name of the process.",
"type": "string"
},
"spanCount": {
"description": "The number of spans used by this entity.",
"type": "integer"
},
"userId": {
"description": "The user ID.",
"type": "string"
}
},
"required": [
"logCount",
"metricCount",
"serviceName",
"spanCount",
"userId"
],
"type": "object",
"x-versionadded": "v2.43"
},
"maxItems": 10000,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object",
"x-versionadded": "v2.43"
}
Responses
Delete all OpenTelemetry logs by entitytype
Operation path: DELETE /api/v2/otel/{entityType}/{entityId}/logs/
Authentication requirements: BearerAuth
Parameters
| Name |
In |
Type |
Required |
Description |
| startTime |
query |
string(date-time) |
false |
The start time of the logs to delete. |
| endTime |
query |
string(date-time) |
false |
The end time of the logs to delete. |
| entityType |
path |
string |
true |
The type of the entity to which the logs belong. |
| entityId |
path |
string |
true |
The ID of the entity to which the logs belong. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Responses
| Status |
Meaning |
Description |
Schema |
| 204 |
No Content |
none |
None |
| 403 |
Forbidden |
User does not have permission to delete OpenTelemetry logs. |
None |
Retrieve OpenTelemetry logs by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/logs/
Authentication requirements: BearerAuth
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of results to skip. |
| limit |
query |
integer |
false |
At most this many results are returned. The default may change without notice. |
| startTime |
query |
string(date-time) |
false |
The start time of the log list. |
| endTime |
query |
string(date-time) |
false |
The end time of the log list. |
| level |
query |
string |
false |
The minimum log level of logs to include. |
| includes |
query |
any |
false |
The list of strings that must be included in the log entry. |
| excludes |
query |
any |
false |
The list of values that must be excluded from the log entry. |
| spanId |
query |
string |
false |
The OTel span ID the logs must be associated with (if any). |
| traceId |
query |
string |
false |
The OTel trace ID the logs must be associated with (if any). |
| entityType |
path |
string |
true |
The type of the entity to which the logs belong. |
| entityId |
path |
string |
true |
The ID of the entity to which the logs belong. |
Enumerated Values
| Parameter |
Value |
| level |
[debug, info, warn, warning, error, critical] |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of OpenTelemetry log entries.",
"items": {
"properties": {
"level": {
"description": "The log level.",
"type": "string"
},
"message": {
"description": "The log message.",
"type": "string"
},
"spanId": {
"description": "The OTel span ID with which the log is associated.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.39"
},
"stacktrace": {
"description": "The stack trace (if any).",
"type": "string"
},
"timestamp": {
"description": "The log timestamp.",
"format": "date-time",
"type": "string"
},
"traceId": {
"description": "The OTel trace ID with which the log is associated.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.39"
}
},
"required": [
"level",
"message",
"timestamp"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
}
},
"required": [
"data",
"next",
"previous"
],
"type": "object",
"x-versionadded": "v2.39"
}
Responses
Delete all OpenTelemetry metrics by entitytype
Operation path: DELETE /api/v2/otel/{entityType}/{entityId}/metrics/
Authentication requirements: BearerAuth
Parameters
| Name |
In |
Type |
Required |
Description |
| startTime |
query |
string(date-time) |
false |
The start time of the metric values to delete. |
| endTime |
query |
string(date-time) |
false |
The end time of the metric values to delete. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Responses
| Status |
Meaning |
Description |
Schema |
| 204 |
No Content |
none |
None |
| 403 |
Forbidden |
User does not have permission to access OpenTelemetry metrics. |
None |
Get aggregated values of OpenTelemetry metrics that DataRobot automatically collects by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/autocollectedValues/
Authentication requirements: BearerAuth
Get aggregated values of OpenTelemetry metrics that DataRobot automatically collects for the specified entity.
Parameters
| Name |
In |
Type |
Required |
Description |
| startTime |
query |
string(date-time) |
false |
The start time of the metric list. |
| endTime |
query |
string(date-time) |
false |
The end time of the metric list. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"data": {
"description": "The list of automatically collected OTel metric values.",
"items": {
"properties": {
"aggregatedValue": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"currentValue": {
"description": "The current metric value at request time.",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"level": {
"description": "Indicates whether this metric is logged for an entity, a pod, or a container.",
"enum": [
"entity",
"pod",
"container"
],
"type": "string"
},
"maximumMetricOtelName": {
"description": "The name of a metric that indicates the maximum value for this metric.",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
}
},
"required": [
"level",
"otelName"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.39"
}
Responses
List the OpenTelemetry metric configurations by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/configs/
Authentication requirements: BearerAuth
List the OpenTelemetry metric configurations for the specified entity.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of results to skip. |
| limit |
query |
integer |
false |
At most this many results are returned. The default may change without notice. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of OpenTelemetry metrics.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": [
"boolean",
"null"
]
},
"id": {
"description": "The ID of the metric.",
"type": "string"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"displayName",
"enabled",
"id",
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 1000,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object",
"x-versionadded": "v2.41"
}
Responses
Create an OpenTelemetry metric configuration by entitytype
Operation path: POST /api/v2/otel/{entityType}/{entityId}/metrics/configs/
Authentication requirements: BearerAuth
Create an OpenTelemetry metric configuration for the specified entity.
Body parameter
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": "boolean"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
| body |
body |
OtelMetricConfigCreatePayload |
false |
none |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
201 Response
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": [
"boolean",
"null"
]
},
"id": {
"description": "The ID of the metric.",
"type": "string"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"displayName",
"enabled",
"id",
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Responses
Set all the OpenTelemetry metric configurations by entitytype
Operation path: PUT /api/v2/otel/{entityType}/{entityId}/metrics/configs/
Authentication requirements: BearerAuth
Set all the OpenTelemetry metric configurations for the specified entity.
Body parameter
{
"properties": {
"values": {
"description": "The list of OTel metric configurations.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": "boolean"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 50,
"type": "array"
}
},
"required": [
"values"
],
"type": "object",
"x-versionadded": "v2.41"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
| body |
body |
OtelMetricConfigSetPayload |
false |
none |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Responses
| Status |
Meaning |
Description |
Schema |
| 204 |
No Content |
The metric configurations were set. |
None |
| 403 |
Forbidden |
User does not have permission to access OpenTelemetry metrics. |
None |
Delete an OpenTelemetry metric configuration by entitytype
Operation path: DELETE /api/v2/otel/{entityType}/{entityId}/metrics/configs/{otelMetricId}/
Authentication requirements: BearerAuth
Delete an OpenTelemetry metric configuration for the specified entity.
Parameters
| Name |
In |
Type |
Required |
Description |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
| otelMetricId |
path |
string |
true |
The ID of the OpenTelemetry metric configuration. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Responses
| Status |
Meaning |
Description |
Schema |
| 204 |
No Content |
none |
None |
| 403 |
Forbidden |
User does not have permission to access OpenTelemetry metrics. |
None |
Get the OpenTelemetry metric configuration by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/configs/{otelMetricId}/
Authentication requirements: BearerAuth
Get an OpenTelemetry metric configuration for the specified entity.
Parameters
| Name |
In |
Type |
Required |
Description |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
| otelMetricId |
path |
string |
true |
The ID of the OpenTelemetry metric configuration. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": [
"boolean",
"null"
]
},
"id": {
"description": "The ID of the metric.",
"type": "string"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"displayName",
"enabled",
"id",
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Responses
Update an OpenTelemetry metric configuration by entitytype
Operation path: PATCH /api/v2/otel/{entityType}/{entityId}/metrics/configs/{otelMetricId}/
Authentication requirements: BearerAuth
Update an OpenTelemetry metric configuration for the specified entity.
Body parameter
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": "string"
},
"enabled": {
"description": "Whether the OTel metric is enabled.",
"type": "boolean"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"type": "object",
"x-versionadded": "v2.41"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
| otelMetricId |
path |
string |
true |
The ID of the OpenTelemetry metric configuration. |
| body |
body |
OtelMetricConfigUpdatePayload |
false |
none |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": [
"boolean",
"null"
]
},
"id": {
"description": "The ID of the metric.",
"type": "string"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"displayName",
"enabled",
"id",
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Responses
List pods and containers found by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/podInfo/
Authentication requirements: BearerAuth
List pods and containers found in OpenTelemetry metrics of the specified entity.
Parameters
| Name |
In |
Type |
Required |
Description |
| startTime |
query |
string(date-time) |
false |
The start time of the metric list. |
| endTime |
query |
string(date-time) |
false |
The end time of the metric list. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"data": {
"description": "The list of information about pods in OTel metrics.",
"items": {
"properties": {
"containers": {
"description": "The list of containers in the pod.",
"items": {
"properties": {
"name": {
"description": "The name of the container.",
"type": "string"
}
},
"required": [
"name"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
},
"name": {
"description": "The name of the pod.",
"type": "string"
}
},
"required": [
"containers",
"name"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.39"
}
Responses
List reported OpenTelemetry metrics of the specified entity by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/summary/
Authentication requirements: BearerAuth
List reported OpenTelemetry metrics of the specified entity.
Parameters
| Name |
In |
Type |
Required |
Description |
| search |
query |
string |
false |
Only show reported metrics whose name contains this string. |
| metricType |
query |
string |
false |
Only show reported metrics of this type. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"data": {
"description": "The list of information about available OTel metrics.",
"items": {
"properties": {
"description": {
"description": "The description of the reported metric.",
"type": [
"string",
"null"
]
},
"metricType": {
"description": "The reported metric type (e.g., counter, gauge, histogram).",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"type": "string"
},
"units": {
"description": "The units of the reported metric.",
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.41"
}
Responses
Get a single OpenTelemetry metric value of the specified entity over time by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/valueOverTime/
Authentication requirements: BearerAuth
Get a single OpenTelemetry metric value of the specified entity over time.
Parameters
| Name |
In |
Type |
Required |
Description |
| startTime |
query |
string(date-time) |
false |
The start time of the metric list. |
| endTime |
query |
string(date-time) |
false |
The end time of the metric list. |
| resolution |
query |
string |
false |
The period for values of the metric list. |
| otelName |
query |
string |
true |
The OTel key of the metric. |
| aggregation |
query |
string |
true |
The aggregation method used for metric display. |
| units |
query |
string,null |
false |
The unit of measurement for the metric. |
| displayName |
query |
string,null |
false |
The display name of the metric. |
| percentile |
query |
number,null |
false |
The metric percentile for the percentile aggregation of histograms. |
| bucketInterval |
query |
number,null |
false |
The bucket size used for histogram aggregation. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
Enumerated Values
| Parameter |
Value |
| resolution |
[PT1M, PT5M, PT1H, P1D, P7D] |
| aggregation |
[sum, average, min, max, cardinality, percentiles, histogram] |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"id": {
"description": "The metric configuration ID (if any).",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"timeBuckets": {
"description": "The list of OTel metric value periods.",
"items": {
"properties": {
"buckets": {
"description": "The histogram bucket values.",
"items": {
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"delta": {
"description": "The difference from the previous period (if any).",
"type": [
"number",
"null"
]
},
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"samples": {
"description": "The number of OTel metric values for the period.",
"type": "integer"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
},
"value": {
"description": "The metric value for the period.",
"type": [
"number",
"null"
]
}
},
"required": [
"endTime",
"samples",
"startTime"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 1000,
"type": "array"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName",
"timeBuckets"
],
"type": "object",
"x-versionadded": "v2.41"
}
Responses
Get OpenTelemetry metrics values of the specified entity over a single time by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/values/
Authentication requirements: BearerAuth
Get OpenTelemetry metrics values of the specified entity over a single time period.
Parameters
| Name |
In |
Type |
Required |
Description |
| startTime |
query |
string(date-time) |
false |
The start time of the metric list. |
| endTime |
query |
string(date-time) |
false |
The end time of the metric list. |
| histogramBuckets |
query |
string |
false |
Return histograms as buckets instead of percentile values. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
Enumerated Values
| Parameter |
Value |
| histogramBuckets |
[false, False, true, True] |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"metricAggregations": {
"description": "The list of OTel metric value periods.",
"items": {
"properties": {
"aggregatedValue": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"buckets": {
"description": "The histogram bucket values.",
"items": {
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"currentValue": {
"description": "The current metric value at request time.",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
}
},
"required": [
"metricAggregations"
],
"type": "object",
"x-versionadded": "v2.41"
}
Responses
Get OpenTelemetry metric values, grouped by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/values/segments/{segmentAttribute}/
Authentication requirements: BearerAuth
Get OpenTelemetry metric values for the specified entity, grouped by the segment attribute name and values over a single time period.
Parameters
| Name |
In |
Type |
Required |
Description |
| segmentValue |
query |
any |
false |
The values for grouping metrics by segment. |
| segmentLimit |
query |
integer |
false |
The maximum number of segment values to return when segmentValues is not provided. |
| otelName |
query |
any |
false |
The OTel key of the metric. |
| aggregation |
query |
any |
false |
The aggregation method used for metric display. |
| startTime |
query |
string(date-time) |
false |
The start time of the metric list. |
| endTime |
query |
string(date-time) |
false |
The end time of the metric list. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
| segmentAttribute |
path |
string |
true |
The name of the attribute by which to group results. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"metricAggregations": {
"description": "The list of OTel metric value periods.",
"items": {
"properties": {
"aggregatedValues": {
"description": "The aggregated metric values segmented by attribute.",
"items": {
"type": "number"
},
"maxItems": 50,
"type": "array"
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.4"
},
"maxItems": 50,
"type": "array"
},
"segment": {
"description": "The segment definition.",
"properties": {
"attribute": {
"description": "The segment attribute name.",
"maxLength": 255,
"type": "string"
},
"values": {
"description": "The segment values.",
"items": {
"type": "string"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"attribute",
"values"
],
"type": "object",
"x-versionadded": "v2.4"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
}
},
"required": [
"endTime",
"metricAggregations",
"segment",
"startTime"
],
"type": "object",
"x-versionadded": "v2.4"
}
Responses
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/valuesOverTime/
Authentication requirements: BearerAuth
Get OpenTelemetry configured metrics values of the specified entity over time.
Parameters
| Name |
In |
Type |
Required |
Description |
| startTime |
query |
string(date-time) |
false |
The start time of the metric list. |
| endTime |
query |
string(date-time) |
false |
The end time of the metric list. |
| resolution |
query |
string |
false |
The period for values of the metric list. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
Enumerated Values
| Parameter |
Value |
| resolution |
[PT1M, PT5M, PT1H, P1D, P7D] |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"data": {
"description": "The list of OTel metric value periods.",
"items": {
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
},
"values": {
"description": "The list of OTel metric values for the period.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"buckets": {
"description": "The histogram bucket values.",
"items": {
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"delta": {
"description": "The difference from the previous period (if any).",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"id": {
"description": "The metric configuration ID (if any).",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"samples": {
"description": "The number of OTel metric values for the period.",
"type": "integer"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
},
"value": {
"description": "The metric value for the period.",
"type": [
"number",
"null"
]
}
},
"required": [
"otelName",
"samples"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 50,
"type": "array"
}
},
"required": [
"endTime",
"startTime",
"values"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.41"
}
Responses
Get OpenTelemetry metric values by entitytype
Operation path: POST /api/v2/otel/{entityType}/{entityId}/metrics/valuesOverTime/segments/
Authentication requirements: BearerAuth
Get OpenTelemetry metric values for the specified entity, grouped by multiple attributes.
Body parameter
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"endTime": {
"description": "The end time of the metric list.",
"format": "date-time",
"type": "string"
},
"interval": {
"default": "PT1H",
"description": "The interval for the metric values.",
"enum": [
"PT1M",
"PT5M",
"PT1H",
"P1D",
"P7D"
],
"type": "string"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"segments": {
"description": "The list of attributes to segment results by.",
"items": {
"properties": {
"attributes": {
"description": "The list of attribute name-value pairs.",
"items": {
"properties": {
"attributeName": {
"description": "The name of this attribute.",
"maxLength": 255,
"type": "string"
},
"attributeValue": {
"description": "The value of this attribute.",
"maxLength": 255,
"type": "string"
}
},
"required": [
"attributeName",
"attributeValue"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 10,
"type": "array"
}
},
"required": [
"attributes"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 50,
"type": "array"
},
"startTime": {
"description": "The start time of the metric list.",
"format": "date-time",
"type": "string"
}
},
"required": [
"aggregation",
"otelName",
"segments"
],
"type": "object",
"x-versionadded": "v2.39"
}
Parameters
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"data": {
"description": "The list of metric values over time segmented by the requested attributes.",
"items": {
"properties": {
"attributes": {
"description": "The list of attributes for this segment.",
"items": {
"properties": {
"attributeName": {
"description": "The name of this attribute.",
"maxLength": 255,
"type": "string"
},
"attributeValue": {
"description": "The value of this attribute.",
"maxLength": 255,
"type": "string"
}
},
"required": [
"attributeName",
"attributeValue"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
},
"values": {
"description": "The time buckets with metric values for this segment.",
"items": {
"properties": {
"endTime": {
"description": "The end time of the metric list.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric list.",
"format": "date-time",
"type": "string"
},
"value": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
}
},
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"attributes",
"values"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.39"
}
Responses
Get OpenTelemetry metric values, grouped by segment attribute by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/metrics/valuesOverTime/segments/{segmentAttribute}/
Authentication requirements: BearerAuth
Get OpenTelemetry metric values for the specified entity, grouped by the segment attribute name and values.
Parameters
| Name |
In |
Type |
Required |
Description |
| segmentValue |
query |
any |
false |
The values for grouping metrics by segment. |
| segmentLimit |
query |
integer |
false |
The maximum number of segment values to return when segmentValues is not provided. |
| otelName |
query |
any |
false |
The OTel key of the metric. |
| aggregation |
query |
any |
false |
The aggregation method used for metric display. |
| startTime |
query |
string(date-time) |
false |
The start time of the metric list. |
| endTime |
query |
string(date-time) |
false |
The end time of the metric list. |
| resolution |
query |
string |
false |
The period for values of the metric list. |
| entityType |
path |
string |
true |
The type of the entity to which the metric belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the metric belongs. |
| segmentAttribute |
path |
string |
true |
The name of the attribute by which to group results. |
Enumerated Values
| Parameter |
Value |
| resolution |
[PT1M, PT5M, PT1H, P1D, P7D] |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"data": {
"description": "The list of segmented metric value periods.",
"items": {
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
},
"values": {
"description": "The list of OTel metric segment values for the period.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"segmentValues": {
"description": "The values for each segment.",
"items": {
"type": "number"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"otelName",
"segmentValues"
],
"type": "object",
"x-versionadded": "v2.4"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"endTime",
"startTime",
"values"
],
"type": "object",
"x-versionadded": "v2.4"
},
"maxItems": 200,
"type": "array"
},
"interval": {
"description": "The interval for the metric values.",
"enum": [
"PT1M",
"PT5M",
"PT1H",
"P1D",
"P7D"
],
"type": "string"
},
"segment": {
"description": "The segment definition.",
"properties": {
"attribute": {
"description": "The segment attribute name.",
"maxLength": 255,
"type": "string"
},
"values": {
"description": "The segment values.",
"items": {
"type": "string"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"attribute",
"values"
],
"type": "object",
"x-versionadded": "v2.4"
}
},
"required": [
"data",
"interval",
"segment"
],
"type": "object",
"x-versionadded": "v2.4"
}
Responses
Delete OpenTelemetry traces by entitytype
Operation path: DELETE /api/v2/otel/{entityType}/{entityId}/traces/
Authentication requirements: BearerAuth
Parameters
| Name |
In |
Type |
Required |
Description |
| startTime |
query |
string(date-time) |
false |
The start time of the traces to delete. |
| endTime |
query |
string(date-time) |
false |
The end time of the traces to delete. |
| entityType |
path |
string |
true |
The type of the entity to which the trace belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the trace belongs. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Responses
| Status |
Meaning |
Description |
Schema |
| 204 |
No Content |
none |
None |
List OpenTelemetry traces by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/traces/
Authentication requirements: BearerAuth
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of results to skip. |
| limit |
query |
integer |
false |
At most this many results are returned. The default may change without notice. |
| startTime |
query |
string(date-time) |
false |
The start time of the trace. |
| endTime |
query |
string(date-time) |
false |
The end time of the trace. |
| minSpanDuration |
query |
integer |
false |
The minimum duration of the span in nanoseconds. |
| maxSpanDuration |
query |
integer |
false |
The maximum duration of the span in nanoseconds. |
| minTraceDuration |
query |
integer |
false |
The minimum duration of the trace in nanoseconds. |
| searchKeys |
query |
any |
false |
The list of search keys. |
| searchValues |
query |
any |
false |
The list of search values. |
| minTraceCost |
query |
integer |
false |
The minimum cost of the trace. |
| maxTraceCost |
query |
integer |
false |
The maximum cost of the trace. |
| rootSpanName |
query |
any |
false |
Filter by root span name. Accepts a single value or a list of values. |
| status |
query |
string |
false |
Filter traces by status. Use 'error' to return only traces with at least one error span, or 'ok' to return only traces with no error spans. |
| sortBy |
query |
string |
false |
Field to sort traces by. One of: 'timestamp', 'duration', 'cost'. Defaults to 'timestamp'. |
| sortDirection |
query |
string |
false |
Sort direction. One of: 'asc', 'desc'. Defaults to 'desc'. |
| tools |
query |
any |
false |
Filter by gen_ai.tool.name. Repeat the query parameter for each tool name (up to 50 names, each at most 100 characters). Returns traces that include at least one span using any of the listed tools. |
| entityType |
path |
string |
true |
The type of the entity to which the trace belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the trace belongs. |
Enumerated Values
| Parameter |
Value |
| status |
[error, ok] |
| sortBy |
[timestamp, duration, cost] |
| sortDirection |
[asc, desc] |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer",
"x-versionadded": "v2.44"
},
"data": {
"description": "The list of traces.",
"items": {
"properties": {
"completion": {
"description": "The completion of the trace.",
"type": [
"string",
"null"
]
},
"cost": {
"description": "The cost of the trace.",
"type": "number"
},
"duration": {
"description": "The duration of the trace.",
"type": "number"
},
"errorSpansCount": {
"description": "The number of error spans.",
"type": "integer"
},
"prompt": {
"description": "The prompt of the trace.",
"type": [
"string",
"null"
]
},
"rootServiceName": {
"description": "The root service name.",
"type": "string"
},
"rootSpanName": {
"description": "The root span name.",
"type": "string"
},
"spansCount": {
"description": "The number of spans.",
"type": "integer"
},
"timestamp": {
"description": "The timestamp of the trace.",
"type": "number"
},
"tools": {
"default": null,
"description": "A list of tool names used in the trace. Extracted from span attributes, includes all tools encountered in the trace.",
"items": {
"properties": {
"callCount": {
"description": "The number of times tools were used in a trace.",
"type": "integer"
},
"name": {
"description": "The name of the tool.",
"type": "string"
}
},
"required": [
"callCount",
"name"
],
"type": "object",
"x-versionadded": "v2.4"
},
"maxItems": 100,
"type": "array",
"x-versionadded": "v2.39"
},
"traceId": {
"description": "The OTel trace ID.",
"maxLength": 32,
"minLength": 32,
"type": "string"
}
},
"required": [
"completion",
"cost",
"duration",
"errorSpansCount",
"prompt",
"rootServiceName",
"rootSpanName",
"spansCount",
"timestamp",
"tools",
"traceId"
],
"type": "object",
"x-versionadded": "v2.37"
},
"maxItems": 1000,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
],
"x-versionadded": "v2.44"
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
],
"x-versionadded": "v2.44"
},
"total": {
"description": "The total number of traces.",
"type": "integer",
"x-versiondeprecated": "v2.44"
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer",
"x-versionadded": "v2.44"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object",
"x-versionadded": "v2.37"
}
Responses
Retrieve the specified OpenTelemetry trace by entitytype
Operation path: GET /api/v2/otel/{entityType}/{entityId}/traces/{traceId}/
Authentication requirements: BearerAuth
Parameters
| Name |
In |
Type |
Required |
Description |
| enrich |
query |
boolean |
false |
Whether to enrich the trace with additional information. |
| entityType |
path |
string |
true |
The type of the entity to which the trace belongs. |
| entityId |
path |
string |
true |
The ID of the entity to which the trace belongs. |
| traceId |
path |
string |
true |
The OTel trace ID. |
Enumerated Values
| Parameter |
Value |
| entityType |
[deployment, use_case, experiment_container, custom_application, workload, workload_deployment] |
Example responses
200 Response
{
"properties": {
"duration": {
"description": "The duration of the trace.",
"type": [
"number",
"null"
]
},
"metrics": {
"description": "Metric values produced by DataRobot moderations.",
"properties": {
"promptGuards": {
"additionalProperties": {
"oneOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"type": "number"
},
{
"type": "boolean"
}
]
},
"description": "Prompt guard values produced by DataRobot moderations.",
"type": "object"
},
"responseGuards": {
"additionalProperties": {
"oneOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"type": "number"
},
{
"type": "boolean"
}
]
},
"description": "Prompt guard values produced by DataRobot moderations.",
"type": "object"
}
},
"type": "object",
"x-versionadded": "v2.37"
},
"rootServiceName": {
"description": "The root service name.",
"type": [
"string",
"null"
]
},
"rootSpanName": {
"description": "The root span name.",
"type": [
"string",
"null"
]
},
"spanCount": {
"description": "The number of spans.",
"type": "integer"
},
"spans": {
"description": "The list of spans.",
"items": {
"description": "The span object.",
"properties": {
"attributes": {
"additionalProperties": {
"type": "string"
},
"description": "The attributes of the span.",
"type": "object"
},
"completion": {
"description": "The completion of the span.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.45"
},
"duration": {
"description": "The duration of the span.",
"type": "number"
},
"events": {
"description": "The list of events.",
"items": {
"description": "The event object.",
"properties": {
"attributes": {
"additionalProperties": {
"type": "string"
},
"description": "The attributes of the event.",
"type": "object"
},
"name": {
"description": "The name of the event.",
"type": "string"
}
},
"required": [
"attributes",
"name"
],
"type": "object",
"x-versionadded": "v2.37"
},
"maxItems": 1000,
"type": "array"
},
"hasPermission": {
"description": "Whether the user has permission to view the span.",
"type": "boolean"
},
"kind": {
"description": "The kind of the span.",
"type": "string"
},
"links": {
"description": "The list of links.",
"items": {
"description": "The link object.",
"properties": {
"attributes": {
"additionalProperties": {
"type": "string"
},
"description": "The attributes of the link.",
"type": "object"
},
"spanId": {
"description": "The span ID.",
"maxLength": 32,
"minLength": 16,
"type": "string"
},
"traceId": {
"description": "The OTel trace ID.",
"maxLength": 32,
"minLength": 16,
"type": "string"
}
},
"required": [
"attributes",
"spanId",
"traceId"
],
"type": "object",
"x-versionadded": "v2.37"
},
"maxItems": 1000,
"type": "array"
},
"name": {
"description": "The span name.",
"type": "string"
},
"parentSpanId": {
"description": "The parent span ID.",
"maxLength": 32,
"minLength": 16,
"type": [
"string",
"null"
]
},
"prompt": {
"description": "The prompt of the span.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.45"
},
"resource": {
"description": "The resource of the span.",
"properties": {
"attributes": {
"additionalProperties": {
"type": "string"
},
"description": "The attributes of the resource.",
"type": "object"
}
},
"required": [
"attributes"
],
"type": "object",
"x-versionadded": "v2.37"
},
"scope": {
"additionalProperties": {
"type": "string"
},
"description": "The scope of the span.",
"type": "object"
},
"serviceName": {
"description": "The service name of the span.",
"type": "string"
},
"spanId": {
"description": "The span ID.",
"maxLength": 32,
"minLength": 16,
"type": "string"
},
"startTime": {
"description": "The start time of the span",
"type": "number"
},
"statusCode": {
"description": "The status code of the span.",
"type": [
"string",
"null"
]
},
"statusMessage": {
"description": "The status message of the span.",
"type": [
"string",
"null"
]
},
"traceId": {
"description": "The OTel trace ID.",
"maxLength": 32,
"minLength": 16,
"type": "string"
}
},
"required": [
"attributes",
"duration",
"events",
"hasPermission",
"kind",
"links",
"name",
"resource",
"scope",
"serviceName",
"spanId",
"startTime",
"traceId"
],
"type": "object",
"x-versionadded": "v2.37"
},
"maxItems": 1000,
"type": "array"
},
"traceId": {
"description": "The OTel trace ID.",
"maxLength": 32,
"minLength": 32,
"type": "string"
}
},
"required": [
"duration",
"rootServiceName",
"rootSpanName",
"spanCount",
"spans",
"traceId"
],
"type": "object",
"x-versionadded": "v2.37"
}
Responses
Schemas
Event
{
"description": "The event object.",
"properties": {
"attributes": {
"additionalProperties": {
"type": "string"
},
"description": "The attributes of the event.",
"type": "object"
},
"name": {
"description": "The name of the event.",
"type": "string"
}
},
"required": [
"attributes",
"name"
],
"type": "object",
"x-versionadded": "v2.37"
}
The event object.
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| attributes |
object |
true |
|
The attributes of the event. |
| » additionalProperties |
string |
false |
|
none |
| name |
string |
true |
|
The name of the event. |
LinkView
{
"description": "The link object.",
"properties": {
"attributes": {
"additionalProperties": {
"type": "string"
},
"description": "The attributes of the link.",
"type": "object"
},
"spanId": {
"description": "The span ID.",
"maxLength": 32,
"minLength": 16,
"type": "string"
},
"traceId": {
"description": "The OTel trace ID.",
"maxLength": 32,
"minLength": 16,
"type": "string"
}
},
"required": [
"attributes",
"spanId",
"traceId"
],
"type": "object",
"x-versionadded": "v2.37"
}
The link object.
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| attributes |
object |
true |
|
The attributes of the link. |
| » additionalProperties |
string |
false |
|
none |
| spanId |
string |
true |
maxLength: 32 minLength: 16 minLength: 16
|
The span ID. |
| traceId |
string |
true |
maxLength: 32 minLength: 16 minLength: 16
|
The OTel trace ID. |
OtelAutocollectedMetricValue
{
"properties": {
"aggregatedValue": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"currentValue": {
"description": "The current metric value at request time.",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"level": {
"description": "Indicates whether this metric is logged for an entity, a pod, or a container.",
"enum": [
"entity",
"pod",
"container"
],
"type": "string"
},
"maximumMetricOtelName": {
"description": "The name of a metric that indicates the maximum value for this metric.",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
}
},
"required": [
"level",
"otelName"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregatedValue |
number,null |
false |
|
The aggregated metric value over the period. |
| aggregation |
string,null |
false |
|
The aggregation method used for metric display. |
| currentValue |
number,null |
false |
|
The current metric value at request time. |
| displayName |
string,null |
false |
maxLength: 127
|
The display name of the metric. |
| level |
string |
true |
|
Indicates whether this metric is logged for an entity, a pod, or a container. |
| maximumMetricOtelName |
string,null |
false |
|
The name of a metric that indicates the maximum value for this metric. |
| otelName |
string |
true |
maxLength: 255
|
The OTel key of the metric. |
| unit |
string,null |
false |
|
The unit of measurement for the metric. |
Enumerated Values
| Property |
Value |
| level |
[entity, pod, container] |
| unit |
[bytes, nanocores, percentage] |
OtelLogEntry
{
"properties": {
"level": {
"description": "The log level.",
"type": "string"
},
"message": {
"description": "The log message.",
"type": "string"
},
"spanId": {
"description": "The OTel span ID with which the log is associated.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.39"
},
"stacktrace": {
"description": "The stack trace (if any).",
"type": "string"
},
"timestamp": {
"description": "The log timestamp.",
"format": "date-time",
"type": "string"
},
"traceId": {
"description": "The OTel trace ID with which the log is associated.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.39"
}
},
"required": [
"level",
"message",
"timestamp"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| level |
string |
true |
|
The log level. |
| message |
string |
true |
|
The log message. |
| spanId |
string,null |
false |
|
The OTel span ID with which the log is associated. |
| stacktrace |
string |
false |
|
The stack trace (if any). |
| timestamp |
string(date-time) |
true |
|
The log timestamp. |
| traceId |
string,null |
false |
|
The OTel trace ID with which the log is associated. |
OtelLoggingListResponse
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of OpenTelemetry log entries.",
"items": {
"properties": {
"level": {
"description": "The log level.",
"type": "string"
},
"message": {
"description": "The log message.",
"type": "string"
},
"spanId": {
"description": "The OTel span ID with which the log is associated.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.39"
},
"stacktrace": {
"description": "The stack trace (if any).",
"type": "string"
},
"timestamp": {
"description": "The log timestamp.",
"format": "date-time",
"type": "string"
},
"traceId": {
"description": "The OTel trace ID with which the log is associated.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.39"
}
},
"required": [
"level",
"message",
"timestamp"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
}
},
"required": [
"data",
"next",
"previous"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| count |
integer |
false |
|
The number of items returned on this page. |
| data |
[OtelLogEntry] |
true |
maxItems: 1000
|
The list of OpenTelemetry log entries. |
| next |
string,null(uri) |
true |
|
The URL of the next page (if null, there is no next page). |
| previous |
string,null(uri) |
true |
|
The URL of the previous page (if null, there is no previous page). |
OtelMetricAggregatedValue
{
"properties": {
"aggregatedValue": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"buckets": {
"description": "The histogram bucket values.",
"items": {
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"currentValue": {
"description": "The current metric value at request time.",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregatedValue |
number,null |
false |
|
The aggregated metric value over the period. |
| aggregation |
string,null |
false |
|
The aggregation method used for metric display. |
| buckets |
[OtelMetricHistogramBucketValue] |
false |
maxItems: 100
|
The histogram bucket values. |
| currentValue |
number,null |
false |
|
The current metric value at request time. |
| displayName |
string,null |
false |
maxLength: 127
|
The display name of the metric. |
| otelName |
string |
true |
maxLength: 255
|
The OTel key of the metric. |
| unit |
string,null |
false |
|
The unit of measurement for the metric. |
Enumerated Values
| Property |
Value |
| unit |
[bytes, nanocores, percentage] |
OtelMetricAggregatedValueSegmented
{
"properties": {
"aggregatedValues": {
"description": "The aggregated metric values segmented by attribute.",
"items": {
"type": "number"
},
"maxItems": 50,
"type": "array"
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.4"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregatedValues |
[number] |
false |
maxItems: 50
|
The aggregated metric values segmented by attribute. |
| aggregation |
string,null |
false |
|
The aggregation method used for metric display. |
| displayName |
string,null |
false |
maxLength: 127
|
The display name of the metric. |
| otelName |
string |
true |
maxLength: 255
|
The OTel key of the metric. |
OtelMetricAggregatedValuesResponse
{
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"metricAggregations": {
"description": "The list of OTel metric value periods.",
"items": {
"properties": {
"aggregatedValue": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"buckets": {
"description": "The histogram bucket values.",
"items": {
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"currentValue": {
"description": "The current metric value at request time.",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
}
},
"required": [
"metricAggregations"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| endTime |
string(date-time) |
false |
|
The end time of the metric value period. |
| metricAggregations |
[OtelMetricAggregatedValue] |
true |
maxItems: 100
|
The list of OTel metric value periods. |
| startTime |
string(date-time) |
false |
|
The start time of the metric value period. |
OtelMetricAggregatedValuesSegmentedResponse
{
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"metricAggregations": {
"description": "The list of OTel metric value periods.",
"items": {
"properties": {
"aggregatedValues": {
"description": "The aggregated metric values segmented by attribute.",
"items": {
"type": "number"
},
"maxItems": 50,
"type": "array"
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.4"
},
"maxItems": 50,
"type": "array"
},
"segment": {
"description": "The segment definition.",
"properties": {
"attribute": {
"description": "The segment attribute name.",
"maxLength": 255,
"type": "string"
},
"values": {
"description": "The segment values.",
"items": {
"type": "string"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"attribute",
"values"
],
"type": "object",
"x-versionadded": "v2.4"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
}
},
"required": [
"endTime",
"metricAggregations",
"segment",
"startTime"
],
"type": "object",
"x-versionadded": "v2.4"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| endTime |
string(date-time) |
true |
|
The end time of the metric value period. |
| metricAggregations |
[OtelMetricAggregatedValueSegmented] |
true |
maxItems: 50
|
The list of OTel metric value periods. |
| segment |
OtelMetricSegment |
true |
|
The segment definition. |
| startTime |
string(date-time) |
true |
|
The start time of the metric value period. |
OtelMetricAttribute
{
"properties": {
"attributeName": {
"description": "The name of this attribute.",
"maxLength": 255,
"type": "string"
},
"attributeValue": {
"description": "The value of this attribute.",
"maxLength": 255,
"type": "string"
}
},
"required": [
"attributeName",
"attributeValue"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| attributeName |
string |
true |
maxLength: 255
|
The name of this attribute. |
| attributeValue |
string |
true |
maxLength: 255
|
The value of this attribute. |
OtelMetricAttributeList
{
"properties": {
"attributes": {
"description": "The list of attribute name-value pairs.",
"items": {
"properties": {
"attributeName": {
"description": "The name of this attribute.",
"maxLength": 255,
"type": "string"
},
"attributeValue": {
"description": "The value of this attribute.",
"maxLength": 255,
"type": "string"
}
},
"required": [
"attributeName",
"attributeValue"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 10,
"type": "array"
}
},
"required": [
"attributes"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| attributes |
[OtelMetricAttribute] |
true |
maxItems: 10
|
The list of attribute name-value pairs. |
OtelMetricAttributeSegmentedValue
{
"properties": {
"endTime": {
"description": "The end time of the metric list.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric list.",
"format": "date-time",
"type": "string"
},
"value": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
}
},
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| endTime |
string(date-time) |
false |
|
The end time of the metric list. |
| startTime |
string(date-time) |
false |
|
The start time of the metric list. |
| value |
number,null |
false |
|
The aggregated metric value over the period. |
OtelMetricAttributeWithValuesList
{
"properties": {
"attributes": {
"description": "The list of attributes for this segment.",
"items": {
"properties": {
"attributeName": {
"description": "The name of this attribute.",
"maxLength": 255,
"type": "string"
},
"attributeValue": {
"description": "The value of this attribute.",
"maxLength": 255,
"type": "string"
}
},
"required": [
"attributeName",
"attributeValue"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
},
"values": {
"description": "The time buckets with metric values for this segment.",
"items": {
"properties": {
"endTime": {
"description": "The end time of the metric list.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric list.",
"format": "date-time",
"type": "string"
},
"value": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
}
},
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"attributes",
"values"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
OtelMetricAutocollectedValuesResponse
{
"properties": {
"data": {
"description": "The list of automatically collected OTel metric values.",
"items": {
"properties": {
"aggregatedValue": {
"description": "The aggregated metric value over the period.",
"type": [
"number",
"null"
]
},
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"currentValue": {
"description": "The current metric value at request time.",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"level": {
"description": "Indicates whether this metric is logged for an entity, a pod, or a container.",
"enum": [
"entity",
"pod",
"container"
],
"type": "string"
},
"maximumMetricOtelName": {
"description": "The name of a metric that indicates the maximum value for this metric.",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
}
},
"required": [
"level",
"otelName"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| data |
[OtelAutocollectedMetricValue] |
true |
maxItems: 1000
|
The list of automatically collected OTel metric values. |
OtelMetricConfigCreatePayload
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": "boolean"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregation |
string |
false |
|
The aggregation method used for metric display. |
| displayName |
string,null |
false |
maxLength: 127
|
The display name of the metric. |
| enabled |
boolean |
false |
|
Whether the OTel metric is enabled. |
| otelName |
string |
true |
maxLength: 255
|
The OTel key of the metric. |
| percentile |
number,null |
false |
maximum: 1
|
The metric percentile for the percentile aggregation of histograms. |
| unit |
string,null |
false |
|
The unit of measurement for the metric. |
Enumerated Values
| Property |
Value |
| aggregation |
[sum, average, min, max, cardinality, percentiles, histogram] |
| unit |
[bytes, nanocores, percentage, null] |
OtelMetricConfigListResponse
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of OpenTelemetry metrics.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": [
"boolean",
"null"
]
},
"id": {
"description": "The ID of the metric.",
"type": "string"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"displayName",
"enabled",
"id",
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 1000,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| count |
integer |
false |
|
The number of items returned on this page. |
| data |
[OtelMetricConfigObject] |
true |
maxItems: 1000
|
The list of OpenTelemetry metrics. |
| next |
string,null(uri) |
true |
|
The URL of the next page (if null, there is no next page). |
| previous |
string,null(uri) |
true |
|
The URL of the previous page (if null, there is no previous page). |
| totalCount |
integer |
true |
|
The total number of items across all pages. |
OtelMetricConfigObject
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": [
"boolean",
"null"
]
},
"id": {
"description": "The ID of the metric.",
"type": "string"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"displayName",
"enabled",
"id",
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregation |
string |
false |
|
The aggregation method used for metric display. |
| displayName |
string,null |
true |
maxLength: 127
|
The display name of the metric. |
| enabled |
boolean,null |
true |
|
Whether the OTel metric is enabled. |
| id |
string |
true |
|
The ID of the metric. |
| otelName |
string |
true |
maxLength: 255
|
The OTel key of the metric. |
| percentile |
number,null |
false |
maximum: 1
|
The metric percentile for the percentile aggregation of histograms. |
| unit |
string,null |
false |
|
The unit of measurement for the metric. |
Enumerated Values
| Property |
Value |
| aggregation |
[sum, average, min, max, cardinality, percentiles, histogram] |
| unit |
[bytes, nanocores, percentage, null] |
OtelMetricConfigPayload
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": "boolean"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregation |
string |
false |
|
The aggregation method used for metric display. |
| displayName |
string,null |
false |
maxLength: 127
|
The display name of the metric. |
| enabled |
boolean |
false |
|
Whether the OTel metric is enabled. |
| otelName |
string |
true |
maxLength: 255
|
The OTel key of the metric. |
| percentile |
number,null |
false |
maximum: 1
|
The metric percentile for the percentile aggregation of histograms. |
| unit |
string,null |
false |
|
The unit of measurement for the metric. |
Enumerated Values
| Property |
Value |
| aggregation |
[sum, average, min, max, cardinality, percentiles, histogram] |
| unit |
[bytes, nanocores, percentage, null] |
OtelMetricConfigSetPayload
{
"properties": {
"values": {
"description": "The list of OTel metric configurations.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"enabled": {
"default": true,
"description": "Whether the OTel metric is enabled.",
"type": "boolean"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 50,
"type": "array"
}
},
"required": [
"values"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| values |
[OtelMetricConfigPayload] |
true |
maxItems: 50
|
The list of OTel metric configurations. |
OtelMetricConfigUpdatePayload
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": "string"
},
"enabled": {
"description": "Whether the OTel metric is enabled.",
"type": "boolean"
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"percentile": {
"description": "The metric percentile for the percentile aggregation of histograms.",
"exclusiveMinimum": 0,
"maximum": 1,
"type": [
"number",
"null"
]
},
"unit": {
"default": null,
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage",
null
],
"type": [
"string",
"null"
]
}
},
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregation |
string |
false |
|
The aggregation method used for metric display. |
| displayName |
string |
false |
maxLength: 127
|
The display name of the metric. |
| enabled |
boolean |
false |
|
Whether the OTel metric is enabled. |
| otelName |
string |
false |
maxLength: 255
|
The OTel key of the metric. |
| percentile |
number,null |
false |
maximum: 1
|
The metric percentile for the percentile aggregation of histograms. |
| unit |
string,null |
false |
|
The unit of measurement for the metric. |
Enumerated Values
| Property |
Value |
| aggregation |
[sum, average, min, max, cardinality, percentiles, histogram] |
| unit |
[bytes, nanocores, percentage, null] |
OtelMetricContainerInfo
{
"properties": {
"name": {
"description": "The name of the container.",
"type": "string"
}
},
"required": [
"name"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| name |
string |
true |
|
The name of the container. |
OtelMetricHistogramBucketValue
{
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| count |
integer |
true |
|
The count of the bucket values. |
| value |
number |
true |
|
The value of the bucket. |
OtelMetricPodInfo
{
"properties": {
"containers": {
"description": "The list of containers in the pod.",
"items": {
"properties": {
"name": {
"description": "The name of the container.",
"type": "string"
}
},
"required": [
"name"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
},
"name": {
"description": "The name of the pod.",
"type": "string"
}
},
"required": [
"containers",
"name"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| containers |
[OtelMetricContainerInfo] |
true |
maxItems: 1000
|
The list of containers in the pod. |
| name |
string |
true |
|
The name of the pod. |
OtelMetricPodsInfoResponse
{
"properties": {
"data": {
"description": "The list of information about pods in OTel metrics.",
"items": {
"properties": {
"containers": {
"description": "The list of containers in the pod.",
"items": {
"properties": {
"name": {
"description": "The name of the container.",
"type": "string"
}
},
"required": [
"name"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
},
"name": {
"description": "The name of the pod.",
"type": "string"
}
},
"required": [
"containers",
"name"
],
"type": "object",
"x-versionadded": "v2.39"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.39"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| data |
[OtelMetricPodInfo] |
true |
maxItems: 1000
|
The list of information about pods in OTel metrics. |
OtelMetricSegment
{
"description": "The segment definition.",
"properties": {
"attribute": {
"description": "The segment attribute name.",
"maxLength": 255,
"type": "string"
},
"values": {
"description": "The segment values.",
"items": {
"type": "string"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"attribute",
"values"
],
"type": "object",
"x-versionadded": "v2.4"
}
The segment definition.
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| attribute |
string |
true |
maxLength: 255
|
The segment attribute name. |
| values |
[string] |
true |
maxItems: 10 minItems: 1
|
The segment values. |
OtelMetricSegmentPeriod
{
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
},
"values": {
"description": "The list of OTel metric segment values for the period.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"segmentValues": {
"description": "The values for each segment.",
"items": {
"type": "number"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"otelName",
"segmentValues"
],
"type": "object",
"x-versionadded": "v2.4"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"endTime",
"startTime",
"values"
],
"type": "object",
"x-versionadded": "v2.4"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| endTime |
string(date-time) |
true |
|
The end time of the metric value period. |
| startTime |
string(date-time) |
true |
|
The start time of the metric value period. |
| values |
[OtelMetricSegmentValue] |
true |
maxItems: 1000
|
The list of OTel metric segment values for the period. |
OtelMetricSegmentValue
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"segmentValues": {
"description": "The values for each segment.",
"items": {
"type": "number"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"otelName",
"segmentValues"
],
"type": "object",
"x-versionadded": "v2.4"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregation |
string,null |
false |
|
The aggregation method used for metric display. |
| displayName |
string,null |
false |
maxLength: 127
|
The display name of the metric. |
| otelName |
string |
true |
maxLength: 255
|
The OTel key of the metric. |
| segmentValues |
[number] |
true |
maxItems: 10 minItems: 1
|
The values for each segment. |
OtelMetricSegmentedValueResponse
{
"properties": {
"data": {
"description": "The list of segmented metric value periods.",
"items": {
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
},
"values": {
"description": "The list of OTel metric segment values for the period.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"segmentValues": {
"description": "The values for each segment.",
"items": {
"type": "number"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"otelName",
"segmentValues"
],
"type": "object",
"x-versionadded": "v2.4"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"endTime",
"startTime",
"values"
],
"type": "object",
"x-versionadded": "v2.4"
},
"maxItems": 200,
"type": "array"
},
"interval": {
"description": "The interval for the metric values.",
"enum": [
"PT1M",
"PT5M",
"PT1H",
"P1D",
"P7D"
],
"type": "string"
},
"segment": {
"description": "The segment definition.",
"properties": {
"attribute": {
"description": "The segment attribute name.",
"maxLength": 255,
"type": "string"
},
"values": {
"description": "The segment values.",
"items": {
"type": "string"
},
"maxItems": 10,
"minItems": 1,
"type": "array"
}
},
"required": [
"attribute",
"values"
],
"type": "object",
"x-versionadded": "v2.4"
}
},
"required": [
"data",
"interval",
"segment"
],
"type": "object",
"x-versionadded": "v2.4"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| data |
[OtelMetricSegmentPeriod] |
true |
maxItems: 200
|
The list of segmented metric value periods. |
| interval |
string |
true |
|
The interval for the metric values. |
| segment |
OtelMetricSegment |
true |
|
The segment definition. |
Enumerated Values
| Property |
Value |
| interval |
[PT1M, PT5M, PT1H, P1D, P7D] |
OtelMetricSummary
{
"properties": {
"description": {
"description": "The description of the reported metric.",
"type": [
"string",
"null"
]
},
"metricType": {
"description": "The reported metric type (e.g., counter, gauge, histogram).",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"type": "string"
},
"units": {
"description": "The units of the reported metric.",
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| description |
string,null |
false |
|
The description of the reported metric. |
| metricType |
string,null |
false |
|
The reported metric type (e.g., counter, gauge, histogram). |
| otelName |
string |
true |
|
The OTel key of the metric. |
| units |
string,null |
false |
|
The units of the reported metric. |
OtelMetricSummaryResponse
{
"properties": {
"data": {
"description": "The list of information about available OTel metrics.",
"items": {
"properties": {
"description": {
"description": "The description of the reported metric.",
"type": [
"string",
"null"
]
},
"metricType": {
"description": "The reported metric type (e.g., counter, gauge, histogram).",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"type": "string"
},
"units": {
"description": "The units of the reported metric.",
"type": [
"string",
"null"
]
}
},
"required": [
"otelName"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| data |
[OtelMetricSummary] |
true |
maxItems: 1000
|
The list of information about available OTel metrics. |
OtelMetricTimeBucketValue
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"buckets": {
"description": "The histogram bucket values.",
"items": {
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"delta": {
"description": "The difference from the previous period (if any).",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"id": {
"description": "The metric configuration ID (if any).",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"samples": {
"description": "The number of OTel metric values for the period.",
"type": "integer"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
},
"value": {
"description": "The metric value for the period.",
"type": [
"number",
"null"
]
}
},
"required": [
"otelName",
"samples"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| aggregation |
string,null |
false |
|
The aggregation method used for metric display. |
| buckets |
[OtelMetricHistogramBucketValue] |
false |
maxItems: 100
|
The histogram bucket values. |
| delta |
number,null |
false |
|
The difference from the previous period (if any). |
| displayName |
string,null |
false |
maxLength: 127
|
The display name of the metric. |
| id |
string,null |
false |
|
The metric configuration ID (if any). |
| otelName |
string |
true |
maxLength: 255
|
The OTel key of the metric. |
| samples |
integer |
true |
|
The number of OTel metric values for the period. |
| unit |
string,null |
false |
|
The unit of measurement for the metric. |
| value |
number,null |
false |
|
The metric value for the period. |
Enumerated Values
| Property |
Value |
| unit |
[bytes, nanocores, percentage] |
OtelMetricValuePeriod
{
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
},
"values": {
"description": "The list of OTel metric values for the period.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"buckets": {
"description": "The histogram bucket values.",
"items": {
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"delta": {
"description": "The difference from the previous period (if any).",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"id": {
"description": "The metric configuration ID (if any).",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"samples": {
"description": "The number of OTel metric values for the period.",
"type": "integer"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
},
"value": {
"description": "The metric value for the period.",
"type": [
"number",
"null"
]
}
},
"required": [
"otelName",
"samples"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 50,
"type": "array"
}
},
"required": [
"endTime",
"startTime",
"values"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| endTime |
string(date-time) |
true |
|
The end time of the metric value period. |
| startTime |
string(date-time) |
true |
|
The start time of the metric value period. |
| values |
[OtelMetricTimeBucketValue] |
true |
maxItems: 50
|
The list of OTel metric values for the period. |
OtelMetricValuesOverTimeResponse
{
"properties": {
"data": {
"description": "The list of OTel metric value periods.",
"items": {
"properties": {
"endTime": {
"description": "The end time of the metric value period.",
"format": "date-time",
"type": "string"
},
"startTime": {
"description": "The start time of the metric value period.",
"format": "date-time",
"type": "string"
},
"values": {
"description": "The list of OTel metric values for the period.",
"items": {
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"type": [
"string",
"null"
]
},
"buckets": {
"description": "The histogram bucket values.",
"items": {
"properties": {
"count": {
"description": "The count of the bucket values.",
"type": "integer"
},
"value": {
"description": "The value of the bucket.",
"type": "number"
}
},
"required": [
"count",
"value"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 100,
"type": "array"
},
"delta": {
"description": "The difference from the previous period (if any).",
"type": [
"number",
"null"
]
},
"displayName": {
"description": "The display name of the metric.",
"maxLength": 127,
"type": [
"string",
"null"
]
},
"id": {
"description": "The metric configuration ID (if any).",
"type": [
"string",
"null"
]
},
"otelName": {
"description": "The OTel key of the metric.",
"maxLength": 255,
"type": "string"
},
"samples": {
"description": "The number of OTel metric values for the period.",
"type": "integer"
},
"unit": {
"description": "The unit of measurement for the metric.",
"enum": [
"bytes",
"nanocores",
"percentage"
],
"type": [
"string",
"null"
]
},
"value": {
"description": "The metric value for the period.",
"type": [
"number",
"null"
]
}
},
"required": [
"otelName",
"samples"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 50,
"type": "array"
}
},
"required": [
"endTime",
"startTime",
"values"
],
"type": "object",
"x-versionadded": "v2.41"
},
"maxItems": 1000,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.41"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| data |
[OtelMetricValuePeriod] |
true |
maxItems: 1000
|
The list of OTel metric value periods. |
OtelMetricValuesOverTimeSegmentByMultipleAttrsRequest
{
"properties": {
"aggregation": {
"description": "The aggregation method used for metric display.",
"enum": [
"sum",
"average",
"min",
"max",
"cardinality",
"percentiles",
"histogram"
],
"type": "string"
},
"endTime": {
"description": "The end time of the metric list.",
"format": "date-time",
"type": "string"
},
"interval": {
"default": "PT1H",
"description": "The interval for the metric values.",
"enum": [
"PT1M",
"PT5M",
"PT1H",
"P1D",
"P7D"
],
"type": "string"
},
[...]
